Skip to content

Mark an existing post as ready for review

Request

Change the state of the post to "review". The post is immediately removed from feeds. Posts that are already in "review" state will not change.

Security
oauth2_as_a_user(Required scopes: content.write) or oauth2_as_a_server(Required scopes: content.write)
Path
content_idintegerrequired

ID or UUID of the content post

curl -i -X PUT \
  'https://partner.socialchorus.com/v2/content/{content_id}/review' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Content Moved to Review State

Bodyapplication/json
dataobject(Content.Post.Resource)
Response
{ "data": { "id": 456, "version": 1, "uuid": "8b358e6b-11d4-4e89-bf7f-ec670e3398ed", "content_type": "article", "cover_image_alt": "Image of an elephant", "permalink_url": "https://onfirstup.com/acme/acmetimes/sc4#contents/456", "title": "Example Article Title", "summary": "Example article summary", "body": "Example article body", "state": "published", "accent_color": "#ae2225", "featured_label": "Save Pandora!", "featured": false, "author": {}, "channels": [], "source": {}, "template": {}, "visibility": "public", "shareable_url": "https://onfirstup.com/acme/acmetimes/sc4#contents/456", "language": "en", "is_translatable": true, "is_commentable": true, "comment_count": 5, "created_at": "2000-01-01T00:00:00Z", "updated_at": "2000-01-01T00:00:00Z", "published_at": "2000-01-01T00:00:00Z", "links": [], "images": [], "image_blocks": [], "videos": [], "initiatives": [] } }